<?php
include("../scripts/connect.php");
   $conexion=conecta_default();
include_once("../scripts/session.php");
   //Validar Session

    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/

    if(!$sesion->isValida("4")){ /*Sesion invalida*/

	 header("Location: ../index.php?err=NoSesion");

    }/*no hay sesion*/

    else{

       $dato=explode("|",$_SESSION['usuario']);
       $sesion->setDatos($dato[0],$dato[1],$dato[2]);
       $sesion->setSesion();

    }
    //fin validar session


$id_cd=$sesion->id;
     $idt=$_POST['trans'];
    
	$continua=0;
  $q2 = "SELECT rfc, nombre, appat, apmat, cantidad, puntos, fechat, transacciones.idtransacciones, tipostr_idtipostr, efectivo, deposito, tarjeta, regalias, voucher, porpagar, consec, usuarios_ci_idusuarios_ci, cdentrega, statusentrega, inversionista_id_inver, nombrec FROM transacciones join depositos on 
  transacciones.idtransacciones=depositos.transacciones_idtransacciones join inversionista on inversionista.id_inver=transacciones.inversionista_id_inver join pagovta on transacciones.idtransacciones=pagovta.idtransacciones left join otrasal on transacciones.idtransacciones=otrasal.idtransacciones
  WHERE transacciones.idtransacciones=$idt and fechat=curdate()";
  $c2 = mysql_query($q2) or die ('Error en la consulta' . mysql_error());
  if(mysql_affected_rows())
   {
 
  for($i=0;$r1 = mysql_fetch_row($c2);$i++)
   {
	   $rfc = $r1[0];
	   $a1 = $r1[1];
	   $a2 = $r1[2];
	   $a3 = $r1[3];
	   $cantidad = $r1[4];
	  $puntos = $r1[5];
	  $fecha = $r1[6];
	  $idtrans = $r1[7];
	  $tipo = $r1[8];
	   $ef = $r1[9];
	    $de = $r1[10];
		 $ta = $r1[11];
		  $re = $r1[12];
		   $vo = $r1[13];
		    $pp = $r1[14];
			 $consec = $r1[15];
			 $cd = $r1[16];
			 $cde = $r1[17];
			 $ste = $r1[18];
			 $inv = $r1[19];
			 $a20 = $r1[20];

	      $nombrecliente="$a1 $a2 $a3";
	  if($tipo==10){$tiponota='VENTA';   	  }
	  if($tipo==11){ $tiponota='SALIDA';  	  } 
	  if($tipo==1){ $tiponota='CANCEL';  	  } 
		if($tipo==6){ $tiponota='OTRASAL';  $nombrecliente=$r1[20];  } 
	
   }

  
   }
   echo"<center><br><br>En caso de existir alg&uacute;n error, favor de notificar al administrador.";
   
   
 
   $qp1 = "update transacciones set tipostr_idtipostr='1', statusentrega='CANCELADO', observaciones='CANCELADO' where idtransacciones='$idt'";
$cp1 = mysql_query($qp1) or die ('Error (Registro No Encontrado): ' . mysql_error());
 if(mysql_affected_rows())
   {$upt=1;echo"<br><br><font color=\"#009900\" size=\"+1\">Transacciones actualizado con exito</font>";
   }else{echo"<br><br><font color=\"#990000\" size=\"+1\">Error al modificar transacciones</font>";}
	
 $qp2 = "update depositos set cantidad='0', puntos='0', status='CANCELADO' where transacciones_idtransacciones='$idt'";
$cp2 = mysql_query($qp2) or die ('Error (Registro No Encontrado): ' . mysql_error());
 if(mysql_affected_rows())
   {$upd=1;echo"<br><br><font color=\"#009900\" size=\"+1\">Depositos actualizado con exito</font>";
   }else{echo"<br><br><font color=\"#990000\" size=\"+1\">Error al modificar depositos</font>";}
   	
 $qp3 = "update pagovta set efectivo='0', deposito='0', tarjeta='0', regalias='0', voucher='0', porpagar='0'  where idtransacciones='$idt'";
$cp3 = mysql_query($qp3) or die ('Error (Registro No Encontrado): ' . mysql_error());
 if(mysql_affected_rows())
   {$upv=1;echo"<br><br><font color=\"#009900\" size=\"+1\">Pagovta actualizado con exito</font>";
   }else{echo"<br><br><font color=\"#990000\" size=\"+1\">Error al modificar pagovta</font>";}
   

 if($ste=='ENTREGADO'){
   $qd = "SELECT productos_idprod, cant FROM pedido where transacciones_idtransacciones='$idt'";
 $cd = mysql_query($qd) or die ('Error (no se pueden actualizar existencias)): ' . mysql_error());
 
 
			while($renglon = mysql_fetch_row($cd))

			{
 $qp = "update stock set cantidad=cantidad+$renglon[1] where idprod='$renglon[0]' and idcd='$cde'";
$cp = mysql_query($qp) or die ('Error (Registro No Encontrado): ' . mysql_error());
				

			}; $ups=1;
 }
  $qp4 = "update pedido set cant='0' where transacciones_idtransacciones='$idt'";
$cp4 = mysql_query($qp4) or die ('Error (Registro No Encontrado): ' . mysql_error());
 if(mysql_affected_rows())
   {$upp=1;echo"<br><br><font color=\"#009900\" size=\"+1\">Pedidos actualizado con exito</font>";
   }else{echo"<br><br><font color=\"#990000\" size=\"+1\">Error al modificar Pedidos</font>";}
   
 	 	
		if($tipo==11){
 $qp4 = "delete from nsalida where transacciones_idtransacciones='$idt'";
$cp4 = mysql_query($qp4) or die ('Error (Registro No Encontrado): ' . mysql_error());
 if(mysql_affected_rows())
   {$upns=1;echo"<br><br><font color=\"#009900\" size=\"+1\">Nsalida actualizado con exito</font>";
   }else{echo"<br><br><font color=\"#990000\" size=\"+1\">Error al modificar Nsalida</font>";}
	
		}

if($re>0){
		$qcc1 = "SELECT rfc, nombre, appat, apmat, regs2.idreg, apagar, regs2.status from transacciones join inversionista on transacciones.inversionista_id_inver=inversionista.id_inver join asignaregs on transacciones.idtransacciones=asignaregs.idtransacciones join regs2 on regs2.idreg=asignaregs.idreg where transacciones.idtransacciones=$idtrans ";
           $ccc1 = mysql_query($qcc1) or die ('No se pudo hacer la consulta cc1' . mysql_error());
           $rrc = mysql_fetch_row($ccc1);
  
           $rfc2=$rrc[0];	
		    $nom=$rrc[1];
			 $app=$rrc[2];
			  $apm=$rrc[3];
			   $idreg=$rrc[4]; 
			    $apagar=$rrc[5];
				 $streg=$rrc[6];
				 if($streg!=0){$apagar=$re;
				 
		$qp5 = "update regs2 set status='0',apagar='$apagar', impuestos='0', pagado='$apagar' where idreg='$idreg'";
$cp5 = mysql_query($qp5) or die ('Error (Registro No Encontrado): ' . mysql_error());
 if(mysql_affected_rows())
   {$upr=1;echo"<br><br><font color=\"#009900\" size=\"+1\">Regal&iacute;as actualizadas con exito</font>";
   }else{echo"<br><br><font color=\"#990000\" size=\"+1\">Error al modificar Regal&iacute;as</font>";}		 
				 
	$qp6 = "delete from pagos where idreg='$idreg'";
$cp6 = mysql_query($qp6) or die ('Error (Registro No Encontrado): ' . mysql_error());
 if(mysql_affected_rows())
   {$uppr=1;echo"<br><br><font color=\"#009900\" size=\"+1\">Pagos Regs actualizado con exito</font>";
   }else{echo"<br><br><font color=\"#990000\" size=\"+1\">Error al modificar Pagos Regs</font>";}			 
				  
				 }else{$apagar=$apagar+$re;
					 
	$qp5 = "update regs2 set apagar='$apagar', impuestos='0', pagado='$apagar' where idreg='$idreg'";
$cp5 = mysql_query($qp5) or die ('Error (Registro No Encontrado): ' . mysql_error());
 if(mysql_affected_rows())
   {$upr=1;echo"<br><br><font color=\"#009900\" size=\"+1\">Regal&iacute;as actualizadas con exito</font>";
   }else{echo"<br><br><font color=\"#990000\" size=\"+1\">Error al modificar Regal&iacute;as</font>";}						 
		 }			 

	}
   
if($vo>0){
	$qcc1 = "SELECT rfc, nombre, appat, apmat, voucher.idv, restante, voucher.status from transacciones join asignavoucher on transacciones.idtransacciones=asignavoucher.idtransacciones   join voucher on voucher.idv=asignavoucher.idv join inversionista on voucher.id_inv=inversionista.id_inver where transacciones.idtransacciones=$idtrans ";
           $ccc1 = mysql_query($qcc1) or die ('No se pudo hacer la consulta cc1' . mysql_error());
           $rrc = mysql_fetch_row($ccc1);
  
           $rfc2=$rrc[0];	
		    $nom=$rrc[1];
			 $app=$rrc[2];
			  $apm=$rrc[3];
			   $idreg=$rrc[4]; 
			    $apagar=$rrc[5];
				 $streg=$rrc[6];
				 if($streg!=0){$apagar=$vo;

				 
		$qp5 = "update voucher set status='0',restante='$apagar' where idv='$idreg'";
$cp5 = mysql_query($qp5) or die ('Error (Registro No Encontrado): ' . mysql_error());
 if(mysql_affected_rows())
   {$upr=1;echo"<br><br><font color=\"#009900\" size=\"+1\">Voucher actualizado con exito</font>";
   }else{echo"<br><br><font color=\"#990000\" size=\"+1\">Error al modificar Regal&iacute;as</font>";}		 
			  
				 }else{$apagar=$apagar+$rvo;
					 
	$qp5 = "update voucher set restante='$apagar' where idv='$idreg'";
$cp5 = mysql_query($qp5) or die ('Error (Registro No Encontrado): ' . mysql_error());
 if(mysql_affected_rows())
   {$upr=1;echo"<br><br><font color=\"#009900\" size=\"+1\">Voucher actualizado con exito</font>";
   }else{echo"<br><br><font color=\"#990000\" size=\"+1\">Error al modificar Regal&iacute;as</font>";}						 
		 }			 

	}
   	
?>

